--- BehaviorBase module
--- Created by: Mark Fainstein at: 04/19/15
-- @module behaviorBase

function TTP_BehaviorBase(self)

 if not self._behaviorTarget then
  services:debugMessageBox("BehaviorBase", "issue with self passed to BehaviorBase module")
 end

  --- gets the id of this behavior
  -- @function getId
	function self.getId()
    return self._behaviorTarget:getTargetId()
 	end

  --- get an object
-- @function getObject
-- @param id
 function self.getObject(id)
  if not id then return end
  if self.getId() == id then return self._behaviorTarget end
  local obj = self._behaviorTarget:getTargetById(id)
  return obj
 end

 -- get a behavior, from a specific object
 -- @function getBehavior
 -- @param id
 -- @param behaviorName
  function self.getBehavior(id, behaviorName)
  local object = self.getObject(id)
  if object then
   return object:getBehavior(behaviorName)
  end
 end

 --- get an application behavior (which is attached to ttScenes)
 -- @function getApplicationBehavior
 -- @param behaviorName
 function self.getApplicationBehavior(behaviorName)
  if self.getId() == "ApplicationObject" then return self.getBehavior("ApplicationObject", behaviorName) end
  -- temporary workaround (!!!)
  -- TODO: remove this after it has been fixed
  return _G[behaviorName.."_ApplicationObject"]
 end

	return self
end





