-- ttFunctions module for Utils public package
-- Created by: Mark Fainstein at: 06/03/15
-- @class Utils
-------------------------------------


--- creates and returns a param container
-- @function ttFuncParams
-- @param ... list of parameters
-- @return paramsContainer
local function ttFuncParams(...)
 local paramsContainer = ParamsContainer:new()
 local params = {...}
 for k,v in pairs (params) do
   paramsContainer:add(v)
 end
 return paramsContainer
end

local function runttFunction(object, funcName, ...)
     local ttFuncParams = TTP_Utils.ttFuncParams
     local xmlEngineComponent = object:getComponent("IXmlEngineComponent")
     xmlEngineComponent:runttFunction(funcName, ttFuncParams(...))
end


if not TTP_Utils then TTP_Utils = {} end
TTP_Utils.ttFuncParams = ttFuncParams
TTP_Utils.runttFunction = runttFunction

