-- ctrl.lua

ctrl = {}


----------------------------------------------------------------------------
-- Sled initial position and initial image
----------------------------------------------------------------------------

ctrl.sledXPos = {}
ctrl.sledYPos = {}
ctrl.factorySledXPos = 32
ctrl.factorySledYPos = 36
ctrl.factoryImageIndex = 1
ctrl.sledImageIndex = {0,0,1,0,1,0,0,1,1,1,1}

ctrl.zoomXPos = {-20, 10, 30, 15, 20, -0, -20, -15,  25,  20,  25}
ctrl.zoomYPos = { 35, 35, 35, 20, 10, -5, -25, -30, -30, -30, -35}
ctrl.factoryZoomXPos = 35
ctrl.factoryZoomYPos = 12


ctrl.fillSledXPosArray  = function (sledXPositions)
    for i = 1, #sledXPositions do
        ctrl.sledXPos[i] = sledXPositions[i]
    end
end
ctrl.fillSledYPosArray  = function (sledYPositions)
    for i = 1, #sledYPositions do
        ctrl.sledYPos[i] = sledYPositions[i]
    end
end

ctrl.fillSledFactoryPositions  = function (sledXFactoryPosition, sledYFactoryPosition)
    ctrl.factorySledXPos  = sledXFactoryPosition
    ctrl.factorySledYPos  = sledYFactoryPosition
end


ctrl.getSledPositionX = function ()
    if (model.isSledInFactory()) then
        return ctrl.factorySledXPos;
    end
    return ctrl.sledXPos[model.getSledCurrentLevel()]
end

ctrl.getSledPositionY = function ()
    if (model.isSledInFactory()) then
        return ctrl.factorySledYPos;
    end
    return ctrl.sledYPos[model.getSledCurrentLevel()]
end

ctrl.getSledImageIndex = function ()
    if (model.isSledInFactory()) then
        return ctrl.factoryImageIndex;
    end
    pos = ctrl.sledImageIndex[model.getSledCurrentLevel()]
    return pos
end


ctrl.getZoomPositionX = function ()
    if (not app.isSledAtTargetLevel()) then
        return 0
    end

    if (model.isSledInFactory()) then
        return ctrl.factoryZoomXPos;
    end
    print("ctrl.getZoomPositionX "..tostring(ctrl.zoomXPos[model.getSledCurrentLevel()]))
    return ctrl.zoomXPos[model.getSledCurrentLevel()]
end

ctrl.getZoomPositionY = function ()
    if (not app.isSledAtTargetLevel()) then
        return 0
    end

    if (model.isSledInFactory()) then
        return ctrl.factoryZoomYPos;
    end
    return ctrl.zoomYPos[model.getSledCurrentLevel()]
end

ctrl.getZoomScale = function ()
    if (not app.isSledAtTargetLevel()) then
        return 1
    end
    return 1.7
end



